DtInfo_ShowInfoAtLoc(special file)

NAME
DtInfo_ShowInfoAtLoc — display a specified section or topic

SYNOPSIS

DtInfo_ShowInfoAtLoc
        Class:  TT_REQUEST
        File:  filename
        Operation:  DtInfo_LoadInfoLib
        Address:  TT_PROCEDURE
        Handler_ptype:  DtInfo
        Disposition:  TT_START
        Scope:  TT_SESSION
        Status:  0 = OK, 1 = FAIL

DESCRIPTION

The DtInfo_ShowInfoAtLoc request is a process-oriented ToolTalk message that causes dtinfo to display a particular section of data or topic. ToolTalk starts the browser if it is not already running. This corresponds to invoking dtinfo with the -sect option from the command line.

ARGUMENTS

ARG0 action
    Name of the action to invoke to start dtinfo on a remote host, if necessary. Mode is TT_IN; type is string.

ARG1 exec_host
    Name of the host from which the specified infolib is accessible. Mode is TT_IN; type is string.

ARG2 locale
    Required locale. Mode is TT_IN; type is string.

ARG3 section
    Specifies the infolib section, in generalized locator format. A generalized locator format provides applications with a mechamism for addressing infolibs as document collections with external navigation references. This mechanism is more precise than those which operate on an infolib at the file level, and is required by applications that want to tightly integrate to their online documentation. For more information, see "Generalized Locator Format" in dtinfo(1).

ATTRIBUTES

File filename
    Specifies a file path, relative or absolute, to an information library. If the filename is not specified, the browser displays the default information library(s).

SEE ALSO

Generalized Locator Format 4, DtInfo_LoadInfoLib(4), DtInfo_Quit 4